#
# spec file for package youtube-dl
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           youtube-dl
Version:	 2021.12.17
Release:        pm153.1.1
Summary:        A tool for downloading from Youtube
License:        SUSE-Public-Domain AND CC-BY-SA-3.0
Group:          Productivity/Networking/Web/Utilities
URL:            http://rg3.github.com/youtube-dl/
#Git-Clone:	git://github.com/rg3/youtube-dl
Source:         http://youtube-dl.org/downloads/%version/%name-%{version}.tar.gz
Source2:        http://youtube-dl.org/downloads/%version/%name-%{version}.tar.gz.sig
Source3:        %name.keyring
BuildRequires:  bash-completion
%if 0%{?is_opensuse}
BuildRequires:  fish
%endif
BuildRequires:  python3
BuildRequires:  python3-xml
BuildRequires:  gpg-offline
BuildRequires:  zip
BuildRequires:  zsh
Requires:       ffmpeg
Requires:       python3
Requires:       python3-xml
BuildArch:      noarch

%description
youtube-dl is a small command-line program to retrieve videos from
YouTube.com and a few more sites.

%package        bash-completion
Summary:        Bash completion for %name
Group:          System/Shells
Requires:       bash-completion
Supplements:    packageand(%name:bash)
BuildArch:      noarch

%description    bash-completion
Bash command line completion support for %name.

%if 0%{?is_opensuse}
%package        fish-completion
Summary:        Fish completion for %name
Group:          System/Shells
Requires:       fish
Supplements:    packageand(%name:fish)
BuildArch:      noarch

%description    fish-completion
Fish command line completion support for %name.
%endif

%package        zsh-completion
Summary:        Zsh Completion for %name
Group:          System/Shells
Requires:       zsh
Supplements:    packageand(%name:zsh)
BuildArch:      noarch

%description zsh-completion
ZSH command line completion support for %name.

%prep
%{?gpg_verify: %gpg_verify %{SOURCE2}}
%setup -qn %name
rm -f youtube-dl

%build
PYTHON=%{_bindir}/python3 make %{?_smp_mflags}

%install
install -D -m 755 youtube-dl %buildroot/%_bindir/%name
install -D -m 644 youtube-dl.bash-completion %buildroot/%_datadir/bash-completion/completions/%name
install -D -m 644 youtube-dl.zsh %buildroot/%_datadir/zsh/site-functions/_%name
%if 0%{?is_opensuse}
install -D -m 644 youtube-dl.fish %buildroot/%_datadir/fish/completions/%name.fish
%endif
install -D -m 644 youtube-dl.1 %buildroot/%_mandir/man1/%name.1

%files
%license LICENSE
%doc README.txt
%_bindir/%name
%_mandir/man1/%name.1%{?ext_man}

%files bash-completion
%_datadir/bash-completion/completions/%name

%if 0%{?is_opensuse}
%files fish-completion
%_datadir/fish/completions/%name.fish
%endif

%files zsh-completion
%_datadir/zsh/site-functions/_%name


%changelog
* Thu Dec 16 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.12.17
* Sat Jun  5 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.06.06
* Sun May 16 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.05.16
* Sun Apr 25 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.04.26
* Fri Apr 16 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.04.17
* Tue Apr  6 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.04.07
* Wed Mar 31 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.04.01
* Tue Mar 30 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.31
* Sat Mar 27 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.25
* Sat Mar 27 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.25
* Sat Mar 27 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version <html>
  <head><title>301 Moved Permanently</title></head>
  <body>
  <center><h1>301 Moved Permanently</h1></center>
  <hr><center>nginx</center>
  </body>
  </html>
* Sat Mar 27 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version <html>
  <head><title>301 Moved Permanently</title></head>
  <body>
  <center><h1>301 Moved Permanently</h1></center>
  <hr><center>nginx</center>
  </body>
  </html>
* Sat Mar 27 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version <html>
  <head><title>301 Moved Permanently</title></head>
  <body>
  <center><h1>301 Moved Permanently</h1></center>
  <hr><center>nginx</center>
  </body>
  </html>
* Fri Mar 26 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version <html>
  <head><title>301 Moved Permanently</title></head>
  <body>
  <center><h1>301 Moved Permanently</h1></center>
  <hr><center>nginx</center>
  </body>
  </html>
* Fri Mar 26 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version <html>
  <head><title>301 Moved Permanently</title></head>
  <body>
  <center><h1>301 Moved Permanently</h1></center>
  <hr><center>nginx</center>
  </body>
  </html>
* Wed Mar 24 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.25
* Sun Mar 14 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.14
* Wed Mar  3 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.03
* Tue Mar  2 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.03.02
* Sun Feb 21 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.02.22
* Wed Feb 10 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.02.10
* Thu Feb  4 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.02.04.1
* Wed Feb  3 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.02.04
* Sun Jan 24 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.01.24.1
* Sat Jan 16 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.01.16
* Fri Jan  8 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.01.08
* Sun Jan  3 2021 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2021.01.03
* Wed Dec 30 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.31
* Mon Dec 28 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.29
* Sat Dec 26 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.26
* Mon Dec 21 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.22
* Sun Dec 13 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.14
* Sat Dec 12 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.12
* Tue Dec  8 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.09
* Sun Dec  6 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.07
* Fri Dec  4 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.05
* Tue Dec  1 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.12.02
* Sun Nov 29 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.29
* Wed Nov 25 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.26
* Mon Nov 23 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.24
* Sat Nov 21 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.21.1
* Wed Nov 18 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.19
* Tue Nov 17 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.18
* Mon Nov 16 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.17
* Thu Nov 12 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.12
* Sun Nov  1 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.11.01.1
* Sun Sep 20 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.09.20
* Sun Sep 13 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.09.14
* Sun Sep  6 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.09.06
* Mon Jul 27 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.07.28
* Tue Jun 16 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.06.16.1
* Mon Jun 15 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.06.16
* Fri Jun  5 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.06.06
* Thu May 28 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.05.29
* Fri May  8 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.05.08
* Sat May  2 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.05.03
* Mon Mar 23 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.03.24
* Sun Mar  8 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.03.08
* Thu Mar  5 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.03.06
* Sun Mar  1 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version
* Sun Mar  1 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.03.01
* Mon Feb 17 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.02.16
* Sun Feb 16 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.02.16
* Thu Jan 23 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.01.24
* Tue Jan 14 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.01.15
* Mon Jan 13 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.01.01
* Sun Jan 12 2020 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version The service is not available. Please try again later.
* Tue Dec 31 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2020.01.01
* Tue Dec 24 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.12.25
* Thu Nov 28 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.11.28
* Thu Nov 21 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.11.22
* Mon Nov  4 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.11.05
* Mon Oct 28 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.10.29
* Mon Oct 21 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.10.22
* Tue Oct 15 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.10.16
* Fri Sep 27 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.09.28
* Sat Aug 31 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.09.01
* Tue Aug 13 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.08.13
* Fri Aug  2 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.08.02
* Tue Jul 30 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.07.30
* Fri Jul 26 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.07.27
* Mon Jul 15 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.07.16
* Sat Jul 13 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.07.14
* Thu Jul 11 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.07.12
* Mon Jul  1 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.07.02
* Thu Jun 27 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.06.27
* Fri Jun 21 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.06.21
* Fri Jun  7 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.06.08
* Sun May 26 2019 Luigi Baldoni <aloisio@gmx.com>
- Split completions into subpackages
* Mon May 20 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.05.20
* Sat May 11 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.05.11
* Tue Apr 30 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.04.30
* Wed Apr 24 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.04.24
* Fri Apr 19 2019 Luigi Baldoni <aloisio@gmx.com>
- Build with python3
- Spec cleanup
* Tue Apr 16 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.04.17
* Sat Apr  6 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.04.07
* Mon Apr  1 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.04.01
* Sun Mar 17 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.03.18
* Fri Mar  8 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.03.09
* Thu Feb 28 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Updated to version 2019.03.01
* Sun Feb 17 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.02.18
* Thu Feb  7 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.02.08
* Wed Jan 30 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.30.1
* Tue Jan 29 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.30
* Sun Jan 27 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.27
* Wed Jan 23 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.24
* Tue Jan 22 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.23
* Thu Jan 17 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.17
* Tue Jan 15 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.16
* Thu Jan 10 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.10
* Wed Jan  2 2019 Mathias.Homann@opensuse.org
- Updated to version 2019.01.02
* Mon Dec 31 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.12.31
* Sun Dec 16 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.12.17
* Sun Dec  9 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.12.09
* Sun Dec  2 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.12.03
* Thu Nov 22 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.11.23
* Sat Nov 17 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.11.18
* Wed Nov  7 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.11.07
* Fri Nov  2 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.11.03
* Sun Oct 28 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.10.29
* Fri Oct 26 2018 Mathias.Homann@opensuse.org
- Updated to version 2018.10.05
* Fri Oct 26 2018 Mathias.Homann@opensuse.org
- Updated to version An internal server error occurred. Please try again later.
* Thu Oct  4 2018 Mathias Homann <Mathias.Homann@opensuse.org>
- Added requirements: python2 ffmpeg
* Sun Jul  9 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.07.09
* Sun Jul  2 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.07.02
* Sun Jun 25 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.06.25
* Thu Jun 22 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.06.23
* Sat Jun 17 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.06.18
* Sun Jun 11 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.06.12
* Sun Jun  4 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.06.05
* Sun May 28 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.29
* Fri May 26 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.26
* Mon May 22 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.23
* Thu May 18 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.18.1
* Sun May 14 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.14
* Tue May  9 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.09
* Sat May  6 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.07
* Sun Apr 30 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.05.01
* Fri Apr 28 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.28
* Tue Apr 25 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.26
* Sun Apr 16 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.17
* Sat Apr 15 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.16
* Fri Apr 14 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.15
* Thu Apr 13 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.14
* Mon Apr 10 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.11
* Sat Apr  8 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.09
* Sun Apr  2 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.03
* Sat Apr  1 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.04.02
* Sun Mar 26 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.26
* Thu Mar 23 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.24
* Tue Mar 21 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.22
* Sun Mar 19 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.20
* Thu Mar 16 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.16
* Tue Mar 14 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.15
* Fri Mar 10 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.10
* Mon Mar  6 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.07
* Sun Mar  5 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.06
* Sat Mar  4 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.05
* Thu Mar  2 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.03.02
* Tue Feb 28 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.28
* Mon Feb 27 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.27
* Fri Feb 24 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.24.1
* Thu Feb 23 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.24
* Wed Feb 22 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.22
* Tue Feb 21 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.21
* Fri Feb 17 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.17
* Wed Feb 15 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.16
* Mon Feb 13 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.14
* Sat Feb 11 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.11
* Thu Feb  9 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.10
* Mon Feb  6 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.07
* Sat Feb  4 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.04.1
* Wed Feb  1 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.02.01
* Tue Jan 31 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.31
* Sun Jan 29 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.29
* Fri Jan 27 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.28
* Wed Jan 25 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.25
* Mon Jan 23 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.24
* Sun Jan 22 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.22
* Wed Jan 18 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.18
* Mon Jan 16 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.16
* Sat Jan 14 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.14
* Tue Jan 10 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.10
* Sun Jan  8 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.08
* Wed Jan  4 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.05
* Mon Jan  2 2017 Mathias.Homann@opensuse.org
- Updated to version 2017.01.02
* Sat Dec 31 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.31
* Thu Dec 22 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.22
* Tue Dec 20 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.20
* Sun Dec 18 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.18
* Thu Dec 15 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.15
* Sun Dec 11 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.12
* Thu Dec  8 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.09
* Wed Nov 30 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.12.01
* Sun Nov 27 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.27
* Tue Nov 22 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.22
* Thu Nov 17 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.18
* Sun Nov 13 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.14.1
* Tue Nov  8 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.08.1
* Fri Nov  4 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.04
* Tue Nov  1 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.11.02
* Sun Oct 30 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.31
* Wed Oct 26 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.26
* Mon Oct 24 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.25
* Thu Oct 20 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.21.1
* Wed Oct 19 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.19
* Sat Oct 15 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.16
* Wed Oct 12 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.12
* Fri Oct  7 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Fri Oct  7 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.07
* Sun Oct  2 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.02
* Thu Sep 29 2016 idonmez@suse.com
- Updated to version 2016.09.27
* Tue Sep 27 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.27
* Fri Sep 23 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.24
* Sun Sep 18 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.19
* Sun Sep 18 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.18
* Thu Sep 15 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.15
* Sun Sep 11 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.11.1
* Thu Sep  8 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.08
* Sun Aug  7 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.08.07
* Fri Aug  5 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.08.06
* Mon Aug  1 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.08.01
* Sat Jul 30 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.30
* Thu Jul 28 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.28
* Tue Jul 26 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.26.2
* Sun Jul 24 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.24
* Fri Jul 22 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.22
* Mon May  9 2016 aloisio@gmx.com
- Fixed build for SLE11 and 13.1
- Spec cleanup
* Sat Mar  8 2014 lemmy04@opensuse.org
  Updates:
- changed version number formatting to be the same as on openSUSE build service, based on release version number from upstream
- changed package to download source and sigfile, and generate version number from downloaded files as well
- to rebuild with latest version: osc service rr
  IMPORTANT: from now on the package changelog will not be updated between versions.
  For current changes, see upstream:
  https://github.com/rg3/youtube-dl/commits/master
* Sat Mar  8 2014 lemmy04@opensuse.org
- Update: 2014.03.07.1
* Wed Mar  5 2014 lemmy04@opensuse.org
- update to 2014.03.04.2
* Fri Feb 28 2014 lemmy04@opensuse.org
- update to 2014.02.28
* Sat Feb 22 2014 Mathias.Homann@opensuse.org
- update to 2014.02.21.1
* Thu Feb 20 2014 Mathias.Homann@opensuse.org
- update to 20140220
- added: gpg verification of source tarballs
* Tue Aug  6 2013 pascal.bleser@opensuse.org
- update to 20130802
* Thu Oct 11 2012 pascal.bleser@opensuse.org
- update to 20121009, makes it work again
* Fri Aug  5 2011 pascal.bleser@opensuse.org
- update to 20110804:
  * makes YouTube videos work again after the recent changes in that site
* Tue Mar 29 2011 pascal.bleser@opensuse.org
- update to 20110329:
  * fixes a program crash that was happening with certain YouTube videos
  * fixes the date extraction regular expression in YouTube
* Sat Feb 26 2011 pascal.bleser@opensuse.org
- update to 20110225c:
  * adds support for Facebook videos
  * improves support for YouTube playlists
  * adds support for YouTube artist playlists
  * adds --extract-audio, to convert video files to audio-only files using
  * ffmpeg
  * a few minor bugs have been fixed
* Thu Dec  9 2010 pascal.bleser@opensuse.org
- update to 20101209:
  * fixes support for YouTube after the recent site changes that broke the program
  * adds support for depositfiles.com
  * fixes a few minor bugs
  * adds a few minor features
* Sat Nov 20 2010 pascal.bleser@opensuse.org
- update to 20101119:
  * adds the --playlist-end and --autonumber options
  * adds the upload_date output template parameter
  * fixes problems regarding RTMP downloads
* Sun Oct 24 2010 pascal@links2linux.de
- update to 20101024:
  * fixes several issues
  * adds a new --cookies option to be able to load and save cookies from a Netscape format cookie file
* Mon Oct  4 2010 pascal@links2linux.de
- update to 20101003:
  * fixes issues with Dailymotion and metacafe.com downloads, among other minor problems and small glitches
* Wed Aug  4 2010 pascal@links2linux.de
- update to 20100804:
  * fixes metacafe.com support to make it work again
  * solves a few problems when resuming downloads from YouTube
  * adds the --playlist-start option
* Sat Jul 24 2010 pascal@links2linux.de
- update to 20100724:
  * fixes a good amount of outstanding bugs introduced with the rewrite of YouTube support code in the previous release
* Fri Jul 23 2010 pascal@links2linux.de
- update to 20100722:
  * fixes the program to make it work again with YouTube after the recent site changes
  * the way the program works with this site has been changed a bit
  * the --best-quality flag has been removed as it is the default behavior now
* Wed Jul 14 2010 pascal@links2linux.de
- update to 20100714:
  * adds preliminary support for Dailymotion videos
  * improves support for WebM in YouTube
  * adds support for the "original" video format in YouTube
  * adds a --max-quality option
  * adds support for youtu.be URLs
  * bugfixes
* Sun Jun  6 2010 pascal@links2linux.de
- update to 20100606:
  * fixes several outstanding problems
  * improves support for RTMP downloads in YouTube
  * adds a few new options
  * initial support for WebM
* Mon Apr  5 2010 pascal@links2linux.de
- update to 20100404:
  * fixes issues with Vevo videos in YouTube
* Fri Apr  2 2010 pascal@links2linux.de
- update to 20100402:
  * fixes the recent "Invalid parameters" error that YouTube was issuing when the video information page was being requested
  * support for Vevo videos appears to be partly broken and will not be fixed in this release
  * Yahoo! Video is now supported
- changes from 20100313:
  * fixes the behavior of the program with the -g option
* Sun Mar  7 2010 pascal@links2linux.de
- update to 20100307:
  * fixes several reported issues
  * adds the --no-progress option
* Wed Jan 20 2010 pascal.bleser@opensuse.org
- update to 20100119:
  * improves rtmpdump support
  * adds support for Google Video and Photobucket
* Wed Jan  6 2010 pascal.bleser@opensuse.org
- update to 20100106:
  * fix on Python versions prior to 2.6
* Tue Jan  5 2010 pascal.bleser@opensuse.org
- update to 20100105:
  * adds initial support for downloading videos that are served using RTMP (requires "rtmpdump")
* Sun Dec 27 2009 pascal.bleser@opensuse.org
- update to 20091226:
  * adds support for the new video format 37 into account
  * fixes metacafe.com downloads
  * fixes several bugs related to encoding and resumed downloads
* Tue Sep  8 2009 pascal.bleser@opensuse.org
- update to 20090908:
  * fixes a problem with YouTube searches that made the program download the first page of search results only
  * the -b flag falls back to not specifying any format when it reaches the end of the format list
  * YouTube playlists can now be specified in "my_playlist" format too
* Sat Aug  8 2009 pascal.bleser@opensuse.org
- update to 20090808:
  * makes the program work again with metacafe.com videos
  * works around the YouTube captcha problem
  * features some other minor changes and bugfixes
* Mon May 11 2009 pascal.bleser@opensuse.org
- update to 20090511:
  * bugfixes
  * improved help text
  * return of the -b or --best-quality option
* Sun Apr 26 2009 pascal.bleser@opensuse.org
- update to 20090425:
  * fixes downloading of metacafe.com videos
  * videos are now downloaded immediately after downloading their information
* Tue Apr  7 2009 pascal.bleser@opensuse.org
- update to 20090406:
  * solves a bug that resulted in an unhandled KeyError exception when the
    video title had some special character sequences in it
* Sat Mar 28 2009 pascal.bleser@opensuse.org
- update to 2009.03.28:
  * fixes the code that sets the language
  * removes the --best-quality option
  * adds a --high-def option
  * HD videos are now saved with the right file name extension
* Tue Feb 10 2009 guru@unixtech.be
- update to 20090207:
  * adds the -w option to indicate that no file should be overwritten
  * adds a YouTube search InfoExtractor that lets the user download
  search results without indicating any specific video
* Sun Feb  1 2009 guru@unixtech.be
- update to 20090131:
  * fixes the authentication and download problems due to the recent YouTube
    internationalization changes
  * adds the -a or --batch-file option to specify a file containing URLs to
    download
* Sat Nov  1 2008 guru@unixtech.be
- update to 20081101
* Fri Oct 17 2008 guru@unixtech.be
- update to 20081016:
  * fixes problems with the login mechanism of YouTube not working when using
    the program from some countries
* Sun Sep 21 2008 guru@unixtech.be
- update to 20080920:
  * fixes the metacafe.com support
  * mitigates the UTF-8 filename problem in the majority of cases
* Sat Aug  9 2008 guru@unixtech.be
- new upstream version:
  * minor improvements to make the extraction of information from YouTube more
    resistant to internationalization problems: apparently, YouTube insists in
    sending localized versions of its Web pages (even if you request them to
    be in English) when you access the Web site from specific countries, which
    made the program fail for people living in these countries
  * a PostProcessing framework has been included to ease extending the program
    to perform further tasks after downloading the video files
* Sat Jul 26 2008 guru@unixtech.be
- new upstream version:
  * fixes a bug in the Unicode video title treatment
  * fixes output templates referencing absolute paths
  * add being able to download videos from metacafe.com and YouTube playlists
* Wed Jul 23 2008 guru@unixtech.be
- added version check, as the Source link has no version in its URL
- license changed to Public Domain
- new upstream version:
  * complete rewrite from scratch
* Sat Jun 14 2008 guru@unixtech.be
- new upstream version
* Thu Jan 24 2008 guru@unixtech.be
- added Authors
- update to 2008.01.24
* Sat Oct 13 2007 guru@unixtech.be
- update to 2007.10.12
* Tue Oct  9 2007 guru@unixtech.be
- update to 2007.10.09
* Sat Sep 29 2007 guru@unixtech.be
- new package
